/**
  Copyright 2022 Mia srl

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/
import type { CSSResultOrNative, PropertyValueMap } from 'lit';
import { LitElement } from 'lit';
import type React from 'react';
import type { FunctionComponent } from 'react';
import type { Root } from 'react-dom/client';
import type { LitCreatable } from './renderer';
import type { StyledComponent } from './styled-components';
export declare class MlcComponent<P = {
    children?: React.ReactNode;
}> extends LitElement implements LitCreatable<P>, StyledComponent {
    protected dynamicStyleSheet?: string;
    root?: Root;
    _adoptedStyleSheets: CSSResultOrNative[];
    proxyWindow: Window;
    set stylesheet(sheet: string | undefined);
    get stylesheet(): string | undefined;
    Component: FunctionComponent<P>;
    create?: () => P;
    constructor(Component: FunctionComponent<P>, create?: () => P);
    private _shouldRenderWhenConnected;
    protected firstUpdated(_changedProperties: PropertyValueMap<unknown> | Map<PropertyKey, unknown>): void;
    protected updated(changedProperties: Map<string | number | symbol, unknown>): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
}
