import type { MenuProps } from 'antd';
import React from 'react';
import type { Translations } from '../../lang';
import { Theme } from '../../web-components/mlc-layout/lib/utils';
import type { HelpMenu, Logo, MenuItem, Mode, OnThemeChange, User, VoidFn } from '../../web-components/mlc-layout/types';
export interface TopBarProps {
    canLogout: boolean | undefined;
    enableDarkMode: boolean | undefined;
    helpMenu: Partial<HelpMenu> | undefined;
    lang: string | undefined;
    locale: Translations['MLC-LAYOUT'] | undefined;
    logo: Logo | undefined;
    menuItems: Partial<MenuItem>[];
    mode: Mode;
    onHelpMenuClick: VoidFn | undefined;
    onLogoCLick: VoidFn | undefined;
    onOverlaySideBarTriggerClick: VoidFn | undefined;
    onSelect: MenuProps['onSelect'] | undefined;
    onThemeChange: OnThemeChange | undefined;
    onUserMenuClick: MenuProps['onClick'] | undefined;
    selectedKeys: MenuProps['selectedKeys'];
    sideBarCollapsed: boolean | undefined;
    theme: Theme | undefined;
    user: User | undefined;
}
export declare const TopBar: React.FC<TopBarProps>;
