import { MlcComponent } from '../../engine';
import type { Translations } from '../../lang';
import type { WrapperProps } from '../../react-components';
import { Theme } from './lib/utils';
import type { MlcApi, User, Head, HelpMenu, Logo, MenuItem, Mode, UserMenu } from './types';
export declare class MlcLayout extends MlcComponent<WrapperProps> {
    static styles: import("lit").CSSResult[];
    microlcApi?: Partial<MlcApi>;
    private _currentApplicationSub?;
    private _wasDisconnected;
    mode: Mode;
    enableDarkMode: boolean;
    logo?: Partial<Logo>;
    menuItems?: Partial<MenuItem>[];
    helpMenu?: Partial<HelpMenu>;
    userMenu?: Partial<UserMenu>;
    head?: Partial<Head>;
    locale?: Translations['MLC-LAYOUT'];
    _user?: User;
    _sideBarCollapsed: boolean;
    _theme: Theme;
    _selectedKeys: string[];
    _lang: string;
    _locale: Translations['MLC-LAYOUT'];
    container: HTMLDivElement;
    constructor();
    protected render(): unknown;
    connectedCallback(): void;
    protected firstUpdated(_changedProperties: Map<PropertyKey, unknown>): void;
    disconnectedCallback(): void;
}
